WiredTiger: WT_CONFIG_ITEM Struct Reference

| Version 3.1.0

Fork me on GitHub Join my user group
List of all members | Public Types | Public Attributes
WT_CONFIG_ITEM Struct Reference
WiredTiger API

The configuration information returned by the WiredTiger configuration parsing functions in the WT_EXTENSION_API and the public API. More...

## Public Types
enum | { WT_CONFIG_ITEM_STRING, WT_CONFIG_ITEM_BOOL, WT_CONFIG_ITEM_ID, WT_CONFIG_ITEM_NUM, WT_CONFIG_ITEM_STRUCT }
| Permitted values of the `type` field. More...

## Public Attributes
const char * | str
| The value of a configuration string. More...
size_t | len
| The number of bytes in the value referenced by `str`. More...
int64_t | val
| The numeric value of a configuration boolean or integer. More...
enum WT_CONFIG_ITEM:: { ... } | type
| Permitted values of the `type` field. More...

## Detailed Description

The configuration information returned by the WiredTiger configuration parsing functions in the WT_EXTENSION_API and the public API.

Examples:
  ex_encrypt.c, ex_file_system.c, and rotn_encrypt.c.

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum

Permitted values of the `type` field.

Enumerator
WT_CONFIG_ITEM_STRING | A string value with quotes stripped.
WT_CONFIG_ITEM_BOOL | A boolean literal ("true" or "false").
WT_CONFIG_ITEM_ID | An unquoted identifier: a string value without quotes.
WT_CONFIG_ITEM_NUM | A numeric value.
WT_CONFIG_ITEM_STRUCT | A nested structure or list, including brackets.

## Member Data Documentation

## ◆ len

size_t WT_CONFIG_ITEM::len

The number of bytes in the value referenced by `str`.

Examples:
  ex_encrypt.c, ex_file_system.c, and rotn_encrypt.c.

## ◆ str

const char* WT_CONFIG_ITEM::str

The value of a configuration string.

Regardless of the type of the configuration string (boolean, int, list or string), the `str` field will reference the value of the configuration string.

The bytes referenced by `str` are not nul-terminated, use the `len` field instead of a terminating nul byte.

Examples:
  ex_encrypt.c, ex_file_system.c, and rotn_encrypt.c.

## ◆ type

enum { ... } WT_CONFIG_ITEM::type

Permitted values of the `type` field.

The type of value determined by the parser. In all cases, the `str` and `len` fields are set.

## ◆ val

int64_t WT_CONFIG_ITEM::val

The numeric value of a configuration boolean or integer.

If the configuration string's value is "true" or "false", the `val` field will be set to 1 (true), or 0 (false).

If the configuration string can be legally interpreted as an integer, using the strtoll function rules as specified in ISO/IEC 9899:1990 ("ISO C90"), that integer will be stored in the `val` field.

Examples:
  ex_file_system.c, and rotn_encrypt.c.